package org.colcon.burocrat.client;

/**
 * CSS style names for custom client formatting
 * 
 * @author Dan Vegeto
 *
 */
public enum CSS 
{
	PAGE,
	TEXT,
	CLICKABLE,
	FRAME,
	
	HEADER,
	HEADER_TEXT,
	HEADER_TEXT_SELECTED,
	LOGO,
	USER_PANEL_INPUT,
	USER_PANEL_BUTTON,
	USER_PANEL_TEXT,
	
	ITEM_PAGE,
	ITEM_GRID,
	ITEM_PATH,
	ITEM_KEY,
	ITEM_VALUE,
	
	LIST,
	LIST_PAGE_LABEL,
	LIST_PAGE_BUTTON,
	LIST_HEADER,
	LIST_ROW,
	LIST_CELL,
	
	FORM,
	FORM_ROW,
	FORM_POPUP,
	
	TERMINAL,
	TERMINAL_INPUT,
	TERMINAL_BUTTON, 
	
	;
	
	public String getStyle()
	{
		return name().toLowerCase();
	}
}
