package org.colcon.burocrat.client.item;

import org.colcon.burocrat.api.client.IClient;
import org.colcon.burocrat.api.model.IItem;
import org.colcon.burocrat.client.list.BurocratList;

import com.google.gwt.user.client.ui.VerticalPanel;
import com.google.gwt.user.client.ui.Widget;

/**
 * 
 * A simple page for a container that displays a BurocratList for the contained items
 * 
 * @author Dan Vegeto
 *
 */
public class ContainerPage extends ItemPage
{
	public ContainerPage(IClient client, IItem item) 
	{
		super(client, item);
	}

	public Widget buildPage()
	{
		VerticalPanel panel = new VerticalPanel();
		
		BurocratList list = new BurocratList(getClient(), getItem().getPath());
		
		panel.add(list);
		
		return panel;
	}
}
