package org.colcon.burocrat.model;

import org.colcon.burocrat.api.model.IChoice;

/**
 * 
 * An enum for boolean values (this is necessary for the forms)
 * 
 * @author Dan Vegeto
 *
 */
public enum BooleanChoice implements IChoice 
{
	TRUE,
	FALSE;
	
	public String description() 
	{
		return toString();
	}
	
	public String toString() 
	{
		return name().toLowerCase();
	}
}
