package org.colcon.burocrat.api.model;

import java.util.Map;

public interface IItemType extends IFlagObject
{
	public IItemType	parent();
	public String		plural();
	
	public IArgList		args();
	public IArgList		getAllArgs();
	
	public IItemType[]	containerTypes();
	public IItemType[]	getAllContainerTypes();
	
	public IItem[]		getInitItems(IItem instance);
	public IItem[]		getAllInitItems(IItem instance);
	
	public String		generateId(IItem instance);
	public void			init(IItem instance);
	
	public Map<IArg, String> withArgs(Object... args);
	public String getInstancePath(String id);
}