package org.colcon.burocrat.server;

import org.colcon.burocrat.api.server.IEncryptor;
import org.jasypt.util.password.BasicPasswordEncryptor;

/**
 * 
 * This class performs encryption using Jasypt
 * 
 * @author Dan Vegeto
 *
 */
public class Encryptor implements IEncryptor
{
	public String encrypt(String plain) 
	{
		BasicPasswordEncryptor encryptor = new BasicPasswordEncryptor();
		return encryptor.encryptPassword(plain);
	}

	public boolean check(String plain, String encrypted) 
	{
		return new BasicPasswordEncryptor().checkPassword(plain, encrypted);
	}
}
